//var web_api_url = 'http://api.mysipo.com/app_mysipo_v1_2_1';
//var web_api_url = 'http://api.test.mysipo.com/app_mysipo_v1_2_1';
//var web_api_url = 'http://appapi.test.mysipo.com/app_v1';
var web_api_url = 'http://appapi.mysipo.com/app_v1';
var tap_first = null;
var timeNums = 1;

var kfzObj = document.getElementsByClassName("kfz");
for(var i = 0; i < kfzObj.length; i++){
	kfzObj[i].onclick = function(){mui.toast("开发中~敬请期待！");}
}


function getJsonObjLength(jsonObj) {
    var Length = 0;
    for (var item in jsonObj) {
        Length++;
    }
    return Length;
}

function unsafe_tap() {
	if (!tap_first) {
		tap_first = new Date().getTime();
		setTimeout(function() {
			tap_first = null
		}, 1500)
	} else {
		return true
	}
}
function isUrl(str) {
	var regUrl = /(http\:\/\/)?([\w.]+)(\/[\w- \.\/\?%&=]*)?/gi;
	var result = str.match(regUrl);
	if (result != null) {
		return true
	} else {
		return false
	}
}
function keysSort(obj) {
	return Object.keys(obj).sort().filter(function(key) {
		if (key == 'model_id' || key == 'passwords' || key == 'nickname') {
			return false
		} else {
			return obj[key] != '' ? true : false
		}
	}).map(function(key) {
		return key + "=" + encodeURIComponent(obj[key])
	}).join('&')
}
function trim(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "")
}
function getParameSign(parameObj) {
	var systemidVal = '', channelidVal = '360',
		gettoken = '', getclient = '';
	if (mui.os.android) {
		systemidVal = "android"
	} else if (mui.os.ios) {
		systemidVal = "ios"
	}
	if (!parameObj.token) {
		gettoken = plus.storage.getItem('token') ? plus.storage.getItem('token') : '';
	} else {
		gettoken = parameObj.token;
	}
	
	// 获取设备信息
	var getPushInfo = plus.push.getClientInfo();
	
	plus.storage.setItem('clientid', getPushInfo.clientid);
	getclient = getPushInfo.clientid;
	
	var systemConfig = {
		source_id: 9,
		client_id: getclient,
		system_id:	systemidVal,
		channel_id: channelidVal,
		version_id: mui.os.version,
		uuid_id: plus.device.uuid,
		model_id: plus.device.model,
		timestamp: new Date().getTime(),
		filesign: 'debb559496dfb5d31a005d67fc0fbc88',
		token: gettoken
	}
	var objs = mui.extend(parameObj, systemConfig);
	objs['sign'] = md5(keysSort(objs));
	return objs
}
function countDown(dom, time) {
	if (time <= 0) {
		dom.removeAttribute('disabled');
		dom.innerHTML = '重新获取验证码';
	} else {
		time = time ? time : 60
		time--
		dom.innerHTML = '重发验证码(' + time + 's)';
		setTimeout(function () {
			countDown(dom, time)
		}, 1000)
	}
}
function setStorageUser(nickname, userid, token,callback) {
	callback = callback || ''
	plus.storage.setItem('nickname', "" + nickname + "");
	plus.storage.setItem('userid', "" + userid + "");
	plus.storage.setItem('token', token);
	if(callback){
		return callback()
	}
}
function delStorageUser() {
	plus.storage.removeItem('nickname');
	plus.storage.removeItem('userid');
	plus.storage.removeItem('token');
}
function checkStrong(val) {
	var modes = 0;
	if (val.length < 6) return 0;
	if (/\d/.test(val)) modes++;
	if (/[a-z]/.test(val)) modes++;
	if (/[A-Z]/.test(val)) modes++;
	if (/\W/.test(val)) modes++;
	if (val.length > 12) return 4;
	return modes
}

function logSubFun(errtype, errthrown, errstatus, errhttpurl, errparam, errmsg) {
	var parameObj = {
		err_msg:		errmsg,
		err_type:	errtype,
		err_thrown:	errthrown,
		err_status: errstatus,
		err_httpurl:errhttpurl,
		err_param:errparam
  	}
	var parameData = getParameSign(parameObj);
	mui.ajax(web_api_url + '/system/adderrorlog', {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			//plus.nativeUI.closeWaiting()
			if (data.err_no == 0) {
				console.log("日志记录成功");
				return false
			} else {
				plus.nativeUI.closeWaiting();
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(xhr, type, errorThrown) {
			
		}
	})
}

function conObj(obj){
	for(var i in obj){
		console.log('key->'+i+' , value->'+obj[i])
	}
}

// 获取系统配置方法
function getSystemConfigFun(parameObj) {

	var parameData = getParameSign(parameObj);
	mui.ajax(web_api_url + '/Seting/getSetings', {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			
			if (data.err_no == 0) {
				// 储存分类
				
				return false
			}
		},
		error: function(xhr, type, errorThrown) {
			
		}
	})
}

function loginSubFun(parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Userlogin/loginNamePass';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.err_no == 0 && data.data.userstate == 1) {
				setStorageUser(data.data.nickname, data.data.userid, data.data.token);
				plus.storage.setItem('headimg', "" + data.data.headimg + "");
				mui.toast("登录成功");
				mui.openWindow({
					id: 'message_index.html',
					url: '../message_index.html',
					extras: {
						headimg: data.data.headimg,
						nickname: data.data.nickname
					}
				})
				return false
			} else if (data.err_no == 0 && data.data.userstate == 0) {
				mui.openWindow({
					id: 'member_setinfo.html',
					url: '../member/member_setinfo.html',
					extras: {
						username: data.data.username,
						userid: data.data.userid,
						token: data.data.token
					}
				}) 
				return false
			} else {
				plus.nativeUI.closeWaiting()
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					loginSubFun(parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function sendSmsCodeFun(objthis, parameObj) {
	
	objthis.setAttribute('disabled', 'disabled');
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Service/sendMobileCode';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
				countDown(objthis);
				
				return false
			} else {
				mui.toast(data.err_msg);
				objthis.removeAttribute('disabled');
				
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					sendSmsCodeFun(objthis, parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function verifyCodeFun(objthis, parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Userregister/verifyMobileCode';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			objthis.removeAttribute('disabled');
			if (data.err_no == 0) {
				plus.nativeUI.showWaiting();
				plus.webview.create('member_reg_setinfo.html', 'member_reg_setinfo.html', {}, {
					openid: parameData.openid,
					oauthsType: parameData.oauthsType,
					mobileOremail: parameData.mobile,
					type: 1
				});
				return false
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					verifyCodeFun(objthis, parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function regUserFun(objthis, parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Userregister/bindingRegUser';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
				setStorageUser(data.data.nickname, data.data.userid, data.data.token);
				mui.openWindow({
					id: 'message_index.html',
					url: '../message_index.html',
					waiting: {
						autoShow: true
					},
					extras: {
						'nickname': data.data.nickname
					}
				})
				return false
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					regUserFun(objthis, parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function sendEmailCodeFun(objthis, parameObj) {
	objthis.setAttribute('disabled', 'disabled');
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Service/sendEmailCode';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
				countDown(objthis);
				return false
			} else {
				mui.toast(data.err_msg);
				objthis.removeAttribute('disabled');
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					sendEmailCodeFun(objthis, parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function verifyEmailCodeFun(objthis, parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Userregister/verifyEmailCode';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			objthis.removeAttribute('disabled');
			if (data.err_no == 0) {
				plus.nativeUI.showWaiting();
				plus.webview.create('member_reg_setinfo.html', 'member_reg_setinfo.html', {}, {
					mobileOremail: parameData.email,
					type: 2
				});
				return false
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					verifyEmailCodeFun(objthis, parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function bindingback(parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Userregister/bindingback';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		beforeSend: function() {
			plus.nativeUI.showWaiting()
		},
		complete: function() {
			plus.nativeUI.closeWaiting()
		},
		success: function(data) {
			if (data.err_no == 0 && data.data.states == 1) {
				if (data.data.userstate == 0) {
					mui.openWindow({
						id: 'member_setinfo.html',
						url: '../member/member_setinfo.html',
						waiting: {
							title: "正在加载，请稍后..."
						},
						extras: {
							username: data.data.username,
							userid: data.data.userid,
							token: data.data.token
						}
					}) 
					return false
				} else {
					setStorageUser(data.data.nickname, data.data.userid, data.data.token);
					plus.storage.setItem('headimg', "" + data.data.headimg + "");
					mui.toast("登录成功");
					mui.openWindow({
						id: 'message_index.html',
						url: '../message_index.html',
						waiting: {
							title: "正在加载，请稍后..."
						},
						extras: {
							headimg: data.data.headimg,
							nickname: data.data.nickname
						}
					})
				}
			} else if (data.err_no == 0 && data.data.states == 2) {
				plus.nativeUI.showWaiting();
				plus.webview.create('../member/member_reg_bangding.html', 'member_reg_bangding.html', {}, {
					openid: parameData.openid,
					oauthsType: parameData.oauthsType,
					nickname: parameData.nickname,
					headimg: parameData.headimg,
				})
			} else {
				mui.toast(data.err_msg);
				plus.nativeUI.closeWaiting();
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					bindingback(parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function bangdingUserFun(objthis, parameObj) {
	objthis.setAttribute('disabled', 'disabled');
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Userregister/bindingUser';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0 && data.data.userstate == 1) {
				setStorageUser(data.data.nickname, data.data.userid, data.data.token);
				mui.openWindow({
					id: 'message_index.html',
					url: '../message_index.html',
					waiting: {
						title: "正在加载，请稍后..."
					},
					extras: {
						headimg: data.data.headimg,
						nickname: data.data.nickname
					}
				}) 
				return false
			} else if (data.err_no == 0 && data.data.userstate == 0) {
				mui.openWindow({
					id: 'member_setinfo.html',
					url: '../member/member_setinfo.html',
					waiting: {
						title: "正在加载，请稍后..."
					},
					extras: {
						username: data.data.username,
						userid: data.data.userid,
						token: data.data.token
					}
				}) 
				return false
			} else {
				mui.toast(data.err_msg);
				objthis.removeAttribute('disabled');
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					bangdingUserFun(objthis, parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function getCountInfo(contentId, currentView, author, content, headimg, timetag,callback) {
	callback = callback || '';
	var img_html = '',
		comment_html = '',
		praise_html = '',
		colorRed = '',
		hrefhtml = '';
		
	var parameObj = {
		article_id: contentId
	}
	var parameData = getParameSign(parameObj);
	var imgFlag = null;
	
	var api_url = web_api_url + '/Article/info';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			
			if (data.err_no == 0) {
				document.getElementById("sharetitle").value = data.data.info.share_info.share_title;
				document.getElementById("sharecontent").value = data.data.info.share_info.share_content;
				document.getElementById("sharethumbs").value = data.data.info.share_info.share_thumbs;
				document.getElementById("contid").value = data.data.info.id;
				
				document.getElementById("messDiscussNum").innerHTML = data.data.info.discuss;
				document.getElementById("messPraiseNum").innerHTML = data.data.info.praise;
				if (data.data.info.title != '') {
					hrefhtml += '<ul class="mui-table-view li-ul">';
					hrefhtml += '<li class="mui-table-view-cell mui-media li-border">';
					hrefhtml += '<img class="mui-media-object mui-pull-left" src="'+data.data.info.icon+'">';
					hrefhtml += '<div class="mui-media-body li-a" id="href-title" data-discuss="' + data.data.info.discuss + '" data-timetag="' + data.data.info.time_tag + '" data-type="' + data.data.info.type + '" data-httpurl="' + data.data.info.url + '" data-id="' + data.data.info.id + '" data-author="' + data.data.info.nickname + '" data-headimg="' + data.data.info.headimg + '">';
					hrefhtml += '<span class="lj-title">'+data.data.info.title+'</span>';
					hrefhtml += '</div>';
					hrefhtml += '</li>';
					hrefhtml += '</ul>';
					document.getElementById("hrefhtml").innerHTML = hrefhtml
				}
				if (data.data.info.is_praise == 1) {
					var messIndexViewObj = plus.webview.getWebviewById('content_index.html');
					messIndexViewObj.evalJS("xw('#gopraise').find('span').addClass('color12');xw('#gopraise').find('img').attr('src', 'img/zw-damugeBg.png');");
				}
				if (data.data.info.file_path.length > 0) {
					for (var i = 0; i < data.data.info.file_path.length; i++) {
						var imgNum = data.data.info.file_path.length;
						if(imgNum == 1){
							imgFlag = 'mui-col-xs-12';
							img_html += '<li class="mui-table-view-cell mui-media '+imgFlag+'">';
							img_html += '<img class="mui-media-object" src="'+data.data.info.file_path[i]+'?imageView2/1/w/450/h/450/q/75|imageslim" data-preview-src="'+data.data.info.file_path[i]+'" data-preview-group="'+i+'">';
							img_html += '</li>';
						}else if(imgNum == 2 || imgNum == 4){
							imgFlag = 'mui-col-xs-6'
							img_html += '<li class="mui-table-view-cell mui-media '+imgFlag+'">';
							img_html += '<img class="mui-media-object" src="'+data.data.info.file_path[i]+'?imageView2/1/w/300/h/300/q/75|imageslim" data-preview-src="'+data.data.info.file_path[i]+'" data-preview-group="'+i+'">';
							img_html += '</li>';
						}else{
							imgFlag = 'mui-col-xs-4';
							img_html += '<li class="mui-table-view-cell mui-media '+imgFlag+'">';
							img_html += '<img class="mui-media-object" src="'+data.data.info.file_path[i]+'?imageView2/1/w/200/h/200/q/75|imageslim" data-preview-src="'+data.data.info.file_path[i]+'" data-preview-group="'+i+'">';
							img_html += '</li>';
						}
					}
				}
				if (data.data.discuss_list.discuss_list.length > 0) {
					for (var i = 0; i < data.data.discuss_list.discuss_list.length; i++) {
						colorRed = '';
						comment_html += '<div class="mui-card-header mui-card-media comment-5">';
						comment_html += '<img data-nickname="'+data.data.discuss_list.discuss_list[i]['nickname']+'" data-uid="'+data.data.discuss_list.discuss_list[i]['uid']+'" src="' + data.data.discuss_list.discuss_list[i]['headimg'] + '?imageView2/1/w/200/h/200/q/75|imageslim" class="img-yuan zw-onepl imglistJs" />';
						comment_html += '<div class="mui-media-body zw-user1">';
						comment_html += '<div class="comment-3">';
						if (data.data.discuss_list.discuss_list[i]['is_praise'] == 1) {
							colorRed = ' color12';
							comment_html += '<img src="img/zw-damugeBg.png " class="zw-img gopraise" data-id="' + data.data.info['id'] + '" data-prid="' + data.data.discuss_list.discuss_list[i]['id'] + '" />';
						}else{
							comment_html += '<img src="img/pl-damuge.png " class="zw-img gopraise" data-id="' + data.data.info['id'] + '" data-prid="' + data.data.discuss_list.discuss_list[i]['id'] + '" />';
						}
						comment_html += '<span class="pl-num' + colorRed + '">' + data.data.discuss_list.discuss_list[i]['praise'] + '</span>';
						comment_html += '<img class="zw-img godisucss" src="img/lj-message.png" data-id="' + data.data.info['id'] + '" data-prid="' + data.data.discuss_list.discuss_list[i]['id'] + '"/>';
						comment_html += '</div>';
						comment_html += '<span class="zw-name">'+data.data.discuss_list.discuss_list[i]['nickname']+'</span>';
						comment_html += '<p class="zw-time">' + data.data.discuss_list.discuss_list[i]['time_tag'] + '</p>';
						comment_html += '</div>';
						comment_html += '<div class="mui-media-body zw-user1">';
						comment_html += '<span style="color:#333;font-weight:400;" class="wrap-break oneJs" data-actId="'+data.data.info.id+'" data-plId="'+data.data.discuss_list.discuss_list[i].id+'" data-uid="'+data.data.discuss_list.discuss_list[i].uid+'">'+data.data.discuss_list.discuss_list[i]['content']+'</span>';
						if (data.data.discuss_list.discuss_list[i].children.discuss_list.length > 0) {
							for (var a = 0; a < data.data.discuss_list.discuss_list[i].children.discuss_list.length; a++) {
								comment_html += '<div class="mui-card-header mui-card-media zw-two">';
								comment_html += '<img src="' + data.data.discuss_list.discuss_list[i].children.discuss_list[a]['headimg'] + '?imageView2/1/w/200/h/200/q/75|imageslim" class="img-yuan" />';
								comment_html += '<div class="mui-media-body zw-user1">';
								comment_html += '<span class="two-name">'+data.data.discuss_list.discuss_list[i].children.discuss_list[a]['nickname']+'</span>';
								comment_html += '<p class="two-time">' + data.data.discuss_list.discuss_list[i].children.discuss_list[a]['time_tag'] + '</p>';
								comment_html += '</div>';
								comment_html += '<div class="mui-media-body zw-user1 zw-mar">';
								comment_html += '<span class=" two-content oneJs" data-or="1" data-actId="'+data.data.info.id+'" data-plId="'+data.data.discuss_list.discuss_list[i].children.discuss_list[a].id+'" data-uid="'+data.data.discuss_list.discuss_list[i].children.discuss_list[a].uid+'">'+data.data.discuss_list.discuss_list[i].children.discuss_list[a]['content']+'</span>';
								comment_html += '</div>';
								comment_html += '</div>'
							}
						}
						comment_html += '</div>';
						comment_html += '</div>'
					}
				}
				if (data.data.praise_list.praise_list.length > 0) {
					for (var i = 0; i < data.data.praise_list.praise_list.length; i++) {
						praise_html += '<div class="mui-card-header mui-card-media zw">';
						praise_html += '<img data-nickname="'+data.data.praise_list.praise_list[i]['nickname']+'" data-uid="'+data.data.praise_list.praise_list[i]['uid']+'" src="' + data.data.praise_list.praise_list[i]['headimg'] + '?imageView2/1/w/200/h/200/q/75|imageslim" class="img-yuan imglistJs delPlJs" />';
						praise_html += '<div class="mui-media-body zw-user1">';
						praise_html += '<span class="zw-name">'+data.data.praise_list.praise_list[i]['nickname']+'</span>';
						praise_html += '<p class="zw-time">' + data.data.praise_list.praise_list[i]['time_tag'] + '</p>';
						praise_html += '</div>';
						praise_html += '</div>'
					}
				}
				document.getElementById("imglist").innerHTML = img_html;
				document.getElementById("commentlist").innerHTML = comment_html;
				document.getElementById("praiselist").innerHTML = praise_html;
				if(callback){
					callback();	
				}
				document.getElementById('hrefhtml').addEventListener('tap', function(){
					if(unsafe_tap()) return;
					
					var messageid 	= data.data.info.contId;
					var author 		= data.data.info.nickname;
					var headimg 		= data.data.info.headimg;
					var content 		= data.data.info.content;
					var timetagVal = data.data.info.timetag;
					var discussVal = data.data.info.discuss;
					var httpurlVal = data.data.info.url;
			
					plus.nativeUI.showWaiting();
					plus.webview.create(
						'comment_link.html',
						'comment_link.html',
						{},
						{
							'httpUrl': httpurlVal,
							'contId': messageid,
					    		'title':'正文',
					    		'author': author,
					    		'content': content,
					    		'headimg': headimg,
					    		'timetag': timetagVal,
					    		'discuss': discussVal
						}
					);
				})
				
				
				mui('#commentlist').on('tap', '.gopraise', function(e) {
					if (unsafe_tap()) return;
					var commentid = this.getAttribute('data-id');
					var praiseid = this.getAttribute('data-prid');
					var parameObj = {
						article_id: commentid,
						did: praiseid
					}
					praiseFun(parameObj, this, 1)
				}) 
				mui('#commentlist').on('tap', '.godisucss', function(e) {
					if (unsafe_tap()) return;
					var commentid = this.getAttribute('data-id');
					var praiseid = this.getAttribute('data-prid');
					plus.nativeUI.showWaiting();
					plus.webview.create('comment_text.html', 'comment_text.html', {}, {
						'contId': currentView.contId,
						'praiseid': praiseid,
						'title': "正文",
						'author': author,
						'content': content,
						'headimg': headimg,
						'timetag': timetag
					})
				}) 
				plus.nativeUI.closeWaiting();
//				currentView.show();
				
			} else {
				mui.toast(data.err_msg);
				plus.nativeUI.closeWaiting();
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					getCountInfo(contentId, currentView, author, content, headimg, timetag);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}

function setMemberInfoFun(objthis, parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Userinfo/setMemberInfo';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			objthis.removeAttribute('disabled');
			if (data.err_no == 0) {
				setStorageUser(data.data.nickname, parameData.userid, parameData.token);
				mui.openWindow({
					id: 'message_index.html',
					url: '../message_index.html',
					waiting: {
						autoShow: true
					}
				}) 
				return false
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					setMemberInfoFun(objthis, parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function releaseImgTextFun() {
	var countTextVal = document.getElementById('countText').value;
	if (countTextVal == "") {
		mui.toast("信息填写不完整！");
		return false
	}
	var parameObj = {
		content: countTextVal,
		type: 1
	}
	
	var imglists = document.getElementsByClassName('imgclass');
	if (imglists.length > 9) {
		mui.toast("上传图片不能超过9张！");
		return false
	}
	plus.nativeUI.showWaiting();
	if (imglists.length > 0) {
		var task = null;
		task = plus.uploader.createUpload(web_api_url + '/Article/add', {
			method: "POST",
			blocksize: 409600,
			priority: 100
		}, function(t, status) {
			
			plus.nativeUI.closeWaiting();
			var jsonObj = eval('('+t.responseText+')');
			if (jsonObj.err_no == 0) {
				// 清楚记录
				plus.storage.removeItem('countText');
				// 打开
				mui.openWindow({
					id: 'message_index.html',
					url: 'message_index.html',
					waiting: {
						autoShow: true
					}
				}) 
				// 导航样式切换
				var messIndexViewObj = plus.webview.getWebviewById('message_index.html');
				messIndexViewObj.evalJS('xw("#navHeader").find("a").removeClass("mui-active"); xw("#nav1").addClass("mui-active");');
				// 重载页面
				var messViewObj = plus.webview.getWebviewById('message_list.html');
				messViewObj.evalJS('location.reload();');
				return false
			} else {
				mui.toast(jsonObj.err_msg);
				return false
			}
			mui.toast('上传成功' + t.responseText)
		});
		for (var i = 0; i < imglists.length; i++) {
			task.addFile(imglists[i].getAttribute('src'), {
				key: 'image' + i
			})
		}
		var gettoken = plus.storage.getItem('token') ? plus.storage.getItem('token') : '';
		task.addData('content', parameObj.content);
		task.addData('classify_id', parameObj.classify_id);
		task.addData('type', "1");
		task.addData('token', gettoken);
		task.start();
		return false
	} else {
		releaseTextFun(parameObj)
	}
}
function releaseTextFun(parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Article/add';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.err_no == 0) {
				// 清楚记录
				plus.storage.removeItem('countText');
				// 打开
				mui.openWindow({
					id: 'message_index.html',
					url: 'message_index.html',
					waiting: {
						autoShow: true
					}
					
				}) 
				// 重载页面
				var messViewObj = plus.webview.getWebviewById('message_list.html');
				messViewObj.evalJS('location.reload();');
				// 导航样式切换
				var messIndexViewObj = plus.webview.getWebviewById('message_index.html');
				messIndexViewObj.evalJS('xw("#navHeader").find("a").removeClass("mui-active"); xw("#nav1").addClass("mui-active");');
				return false
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					releaseTextFun(parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function releaseHttpurlFun() {
	plus.nativeUI.showWaiting();
	var synopsisInpVal = document.getElementById('synopsisInp').value;
	var httpurlInpVal = document.getElementById('httpurlInp').value;
	if (synopsisInpVal == "" || httpurlInpVal == "") {
		plus.nativeUI.closeWaiting();
		mui.toast("信息填写不完整！");
		return false
	}
	var parameObj = {
		url: httpurlInpVal,
		content: synopsisInpVal,
		type: 2
	}
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Article/add';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.err_no == 0) {
				// 清楚内容
				plus.storage.removeItem('synopsisInp');
				plus.storage.removeItem('httpurlInp');
				mui.openWindow({
					id: 'message_index.html',
					url: 'message_index.html',
					waiting: {
						autoShow: true
					}
				}) 
				// 重载页面
				var messViewObj = plus.webview.getWebviewById('message_list.html');
				messViewObj.evalJS('location.reload();');
				// 导航样式切换
				var messIndexViewObj = plus.webview.getWebviewById('message_index.html');
				messIndexViewObj.evalJS('xw("#navHeader").find("a").removeClass("mui-active"); xw("#nav1").addClass("mui-active");');
				return false
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					releaseHttpurlFun();
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function subComment(parameObjs) {
	var praiseid = parameObjs.praiseid ? parameObjs.praiseid : '';
	var parameObj = {
		article_id: parameObjs.contId,
		did: praiseid,
		content: parameObjs.conttext
	}
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Article/addDiscuss';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.err_no == 0) {
				var messIndexViewObj = plus.webview.getWebviewById('content_info.html');
				messIndexViewObj.evalJS('location.reload();');
				plus.nativeUI.showWaiting();
				plus.webview.create('comment_list.html', 'comment_list.html', {}, {
					'contId': parameObjs.contId,
					'title': parameObjs.title,
					'author': parameObjs.author,
					'content': parameObjs.content,
					'headimg': parameObjs.headimg,
					'timetag': parameObjs.timetag
				});
			} else {
				mui.toast(data.err_msg)
			}
		},
		error: function(err_xhr, err_type,  err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					subComment(parameObjs);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}

function praiseFun(parameObj, objThis, type) {
	if(timeNums <= 1){
		plus.nativeUI.showWaiting();
	}
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/Article/addPraise';
	mui.ajax(api_url, {
		data: parameData,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.err_no == 0) {
				if (type == 1) {
					if(!xw(objThis).next().hasClass('color12')){
						xw(objThis).next().html(parseInt(xw(objThis).next().html()) + 1).addClass('color12');
						xw(objThis).attr('src', 'img/zw-damugeBg.png');
					}else{
						xw(objThis).next().html(parseInt(xw(objThis).next().html()) - 1).removeClass('color12');
						xw(objThis).attr('src', 'img/zw-damuge.png');
					}
				}else if(type == 2){
					if(!xw(objThis).find('span').hasClass('color12')){
						xw(objThis).find('span').addClass('color12');
						xw(objThis).find('img').attr('src', 'img/zw-damugeBg.png');
					}else{
						xw(objThis).find('span').removeClass('color12');
						xw(objThis).find('img').attr('src', 'img/zw-damuge.png');
					}
				}else if(type == 3){
					if(!xw(objThis).find('span').hasClass('color12')){
						xw(objThis).find('span').html(parseInt(xw(objThis).find('span').html()) + 1).addClass('color12');
						xw(objThis).find('img').attr('src', 'img/zw-damugeBg.png');
					}else{
						xw(objThis).find('span').html(parseInt(xw(objThis).find('span').html()) - 1).removeClass('color12');
						xw(objThis).find('img').attr('src', 'img/zw-damuge.png');
					}
				}else if(type == 4){
					if(!xw(objThis).find('span').hasClass('color12')){
						xw(objThis).find('span').html(parseInt(xw(objThis).find('span').html()) + 1).addClass('color12');
						xw(objThis).find('img').attr('src', '../img/zw-damugeBg.png');
					}else{
						xw(objThis).find('span').html(parseInt(xw(objThis).find('span').html()) - 1).removeClass('color12');
						xw(objThis).find('img').attr('src', '../img/zw-damuge.png');
					}
				}
			} else {
				mui.toast(data.err_msg);
				return false;
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					praiseFun(parameObj, objThis, type);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
function upheadimg(imgsrc) {
	plus.nativeUI.showWaiting();
	var task = null;
	task = plus.uploader.createUpload(web_api_url + '/Userinfo/setHeadimg', {
		method: "POST",
		blocksize: 409600,
		priority: 100
	}, function(t, status) {
		plus.nativeUI.closeWaiting();
		var jsonObj = eval('(' + t.responseText + ')');
		if (jsonObj.err_no == 0) {
			plus.storage.setItem('headimg', jsonObj.data.headimg);
			document.getElementById("head-img").src = jsonObj.data.headimg+'?imageView2/1/w/200/h/200/q/75|imageslim';
			mui.toast("修改成功");
			return false;
		} else {
			mui.toast(jsonObj.err_msg);
			return false;
		}
		mui.toast('上传成功' + t.responseText)
	});
	task.addFile(imgsrc, {
		key: 'image'
	});
	var gettoken = plus.storage.getItem('token') ? plus.storage.getItem('token') : '';
	var getuid = plus.storage.getItem('userid') ? plus.storage.getItem('userid') : '';
	task.addData('uid', getuid);
	task.addData('token', gettoken);
	task.start();
}


function feedbackFun(parameObj){
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url+'/My/feedback';
	mui.ajax(api_url, {
		data:parameData,
		dataType:'json',		
		type:'post',			
		timeout:	10000,		
		success:function(data){
			plus.nativeUI.closeWaiting();
			if(data.err_no == 0){
				mui.toast("您的反馈已收到，感谢支持！");
				plus.webview.close('feedback.html');
				return false;
			}else{
				mui.toast(data.err_msg);
				return false;
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					feedbackFun(parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}	
	})
}
/* *
 * zhengjianli
 * */
/*删除评论*/
function delpl(parameObj,a){
	var _this1 = a,
		parentN = _this1.parentNode.parentNode;
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url+'/article/delDiscuss';
	mui.ajax(api_url, {
		data:parameData,
		dataType:'json',		
		type:'post',			
		timeout:	10000,		
		success:function(data){
		plus.nativeUI.closeWaiting();
			if(data.err_no == 0){
				/*删除*/
				parentN.innerHTML = '';
				parentN.remove()
				return false;
			}else{
				return false;
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					delpl(parameObj,a);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}
// 删除发布
 function delfb(parameObj,a){
 	var parameData = getParameSign(parameObj);
 	var _this1 = a,
 		parentN = _this1.parentNode.parentNode.parentNode;
 	var api_url = web_api_url+'/article/delArticle';
 	mui.ajax(api_url, {
		data:parameData,
		dataType:'json',		
		type:'post',			
		timeout:	10000,		
		success:function(data){
		plus.nativeUI.closeWaiting();
			if(data.err_no == 0){
				/*删除*/
				parentN.innerHTML = '';
				parentN.remove();
				var allD = document.getElementById('messageHtml');
				var allD1 = allD.children.length;
				if(allD1==0){
					allD.innerHTML = '<div class="no-message">您还没有发布内容哦，快去发布吧~</div>';
				}
				return false;
			}else{
				return false;
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					delfb(parameObj,a);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}	
	})
 }

// 增加分享记录
function shareSubFun(parameObj, shareInfo) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/share/newsShareBefore';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
				shareInfo.share_sid 		= data.data.share_sid;
				shareInfo.share_hrefurl = data.data.share_hrefurl;
				shareNow(parameObj.platform, shareInfo);
				return false;
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareSubFun(parameObj, shareInfo);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}

// 更新分享状态
function shareStatusUpFun(parameObj) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/share/sharecallback';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
				mui.toast("分享失败");
				return false;
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareStatusUpFun(parameObj);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}


// 专代考试查询
function getExamInfoFun(parameObj, cateid) {
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/exam/get';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
				
//				if(cateid == 1){
					// 相关法
					document.getElementById("xgf-span-2").innerHTML = data.data.exam_info.xgf.yes;
					document.getElementById("xgf-span-3").innerHTML 	  = data.data.exam_info.xgf.no;
					document.getElementById("xgf-span-1").innerHTML 	  	  = data.data.exam_info.xgf.bili+"%";
					document.getElementById("xgf_ing").innerHTML 		  = data.data.exam_info.xgf.ing / data.data.exam_info.xgf.zong * 100 +'%';
  					document.getElementById("xgf-progrs").style.width = data.data.exam_info.xgf.ing / data.data.exam_info.xgf.zong *100 +'%';
//					mui("#demo1").progressbar({progress:data.data.exam_info.xgf.ing*10}).show();
//				}else{
					// 专利法
					document.getElementById("zlf-span-2").innerHTML = data.data.exam_info.zlf.yes;
					document.getElementById("zlf-span-3").innerHTML 	  = data.data.exam_info.zlf.no;
					document.getElementById("zlf-span-1").innerHTML 	  	  = data.data.exam_info.zlf.bili+"%";
					document.getElementById('zlf_ing').innerHTML 		  = data.data.exam_info.zlf.ing / data.data.exam_info.zlf.zong * 100 +'%';
					document.getElementById("zlf-progrs").style.width = data.data.exam_info.zlf.ing / data.data.exam_info.zlf.zong *100 +'%';
//					mui("#demo1").progressbar({progress:data.data.exam_info.zlf.ing*10}).show();
//				}
				
				
				
				var datas_xgf = data.data.examList_xgf;
				var datas_zlf = data.data.examList_zlf;
				// 答题列表
				document.getElementById('xgfList').value 	= JSON.stringify(datas_xgf);
				document.getElementById('zlfList').value 	= JSON.stringify(datas_zlf);
				// 考试信息
				document.getElementById('xgfInfo').value 	= JSON.stringify(data.data.exam_info.xgf);
				document.getElementById('zlfInfo').value 	= JSON.stringify(data.data.exam_info.zlf);
				// 坚持天数
				document.getElementById('insistDay').value  = data.data.examDay;
				
				return false;
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareSubFun(parameObj, shareInfo);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}


// 练习题列表
function getTopicListFun(parameObj, type, answer, topicNum, topiccount, species) {
	var answeruser = new Array(); 
	if(answer != ''){
		answeruser = answer.split(".");
	}
	var html = '',htmlClassName = '', htmltype = '', styleNone = '', selectBg = '', topicarr = {};
	for (var i = 0; i < parameObj.length; i++) {
		// 单选or多选
		if(parameObj[i].type == 1){
			htmltype = "单选题";
			htmlClassName = 'radio-iconA';
		}else{
			htmltype = "多选题";
			htmlClassName = 'radio-iconB';
		}
		
		// 显示or影藏 解析
		if(type == 1){
			styleNone = 'style="display: none;"';
		}
		
		html += '<div id="item'+(i+1)+'mobile" style="height:auto!important;overflow:visible!important" class="mui-slider-item">';
		
		html += '<div class="radio-top clear">';
		html += '<div class="radio-title">';
		html += '<span>'+htmltype+'</span>';
		html += '</div>';
		html += '<div class="radio-num">';
		html += '<span>'+(i+1)+'</span>/<span>'+topiccount+'</span>';
		html += '</div>';
		html += '</div>';
		
		html += '<div class="radio-content" id="box_'+(i+1)+'">';
		html += '<span class="radio-content-title">'+(i+1)+'. '+parameObj[i].question+'</span>';
		html += '<ul>';
		var Ipar = parameObj[i].topic_list;
		if(Ipar !== undefined){
			for (var pl = 0; pl < Ipar.length; pl++) {
				selectBg = '';
				if(answeruser.length > 0){
					// 显示or影藏 答题答案
					for (an=0;an<answeruser.length ;an++ ) 
					{ 
						if(answeruser[an] == Ipar[pl].option && topicNum == i){
							selectBg = 'bg';
						}
					}
				}
				html += '<li data-topicId="'+parameObj[i].id+'" data-answer="'+parameObj[i].answer+'" data-answerId="'+Ipar[pl].option+'" data-topicType="'+parameObj[i].type+'" id="id_'+parameObj[i].id+'_'+Ipar[pl].option+'">';
				html += '<span class="'+htmlClassName+' topicClick'+(i+1)+' dx '+selectBg+'">'+Ipar[pl].option+'</span>';
				html += '<span class="radio-content-list">'+Ipar[pl].val+'</span>';
				html += '</li>';
			}
		}
		html += '</ul>';
		html += '</div>';
		
		// 单选or多选
		if(parameObj[i].type == 2 && type == 1 && species == 3){
			html += '<div class="dx-suc-btn" data-topicId="'+parameObj[i].id+'" data-answer="'+parameObj[i].answer+'">';
			html += '选好了';
			html += '</div>';
		}
		
		html += '<div class="jx-content" '+styleNone+' id="parsing'+i+'">';
		html += '<p class="jx-content-top">';
		html += '<img src="../img/jx-content-top.png" alt="" />';
		html += '<span> 正确答案：<span>'+parameObj[i].answer+'</span></span>';
		html += '</p>';
		html += '<p class="jx-content-center">';
		html += parameObj[i].jx;
		html += '</p>';
		html += '</div>';
		html += '</div>';
		
		topicarr[parameObj[i].id] = parameObj[i].id+"_";
	}
	document.getElementById('answerRecord').value = JSON.stringify(topicarr);
	document.getElementById('topicList').innerHTML = html;
}

// 每日一练 答题记录提交
function answerConfirmFun(parameObj, topicData, cateType, insistday) {
	plus.nativeUI.showWaiting();
	// 接收参数
	var parameData = getParameSign(parameObj);
	conObj(parameData);
	var api_url = web_api_url + '/exam/submitAnswerCardByDay';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.err_no == 0) {
				plus.webview.create(
					'practice_results.html', 
					'practice_results.html', 
					{},
					{
						'resultsInfo': data.data,
						'data': topicData,
						'type': cateType,
						'insistday':insistday
					}
				);
				return false;
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareSubFun(parameObj, shareInfo);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}


// 每日一练 评测结果
function resultsInfoFun(currentView) {
	var resultsInfoObj 	= currentView.resultsInfo;
	var typeObj 			= currentView.type;
	var dataObj 			= currentView.data;
	var insistdayObj 	= currentView.insistday;
	// 正确率
	document.getElementById('proportion').setAttribute('src', "../img/bl-"+resultsInfoObj.bili+".png");
	// 文案
	if(resultsInfoObj.bili >= 60){
		document.getElementById('text1').innerHTML = '恭喜你打败了思博<span style="display: inline-block;font-size:0.48rem;color:#ff8400;">'+resultsInfoObj.bili+'%</span>的人！';
		document.getElementById('text2').innerHTML = "这么厉害，快和小伙伴炫耀一下吧～";
		xw('#shareFun').show();
		xw('#recurFun').hide();
		// 一键分享
		document.getElementById('shareFun').parentNode.addEventListener('tap', function(){	
			// 
			plus.nativeUI.showWaiting();
			plus.webview.create(
				'practice_share.html',
				'practice_share.html',
				{},
				{
					data: resultsInfoObj,
					type: typeObj
				}
			)
		});
	}else{
		document.getElementById('text1').innerHTML = "还有进步的空间，继续努力！";
		document.getElementById('text2').innerHTML = "巩固知识，再练一遍吧～";
		xw('#shareFun').hide();
		xw('#recurFun').show();
		// 再来一遍
		document.getElementById('recurFun').parentNode.addEventListener('tap', function(){	
			// 
			plus.nativeUI.showWaiting();
			plus.webview.create(
				'practice_index.html',
				'practice_index.html',
				{},
				{
					data: dataObj,
					type: typeObj,
					insistday: insistdayObj
				}
			)
		});
	}
	
	// 答题记录
	var resultsListHtml = '', reClassName = '';
	for (var i = 0; i < resultsInfoObj.detailed.length; i++) {
		if(resultsInfoObj.detailed[i].flag == 1){
			reClassName = 'bg';
		}else if(resultsInfoObj.detailed[i].flag == 2){
			reClassName = '';
		}else if(resultsInfoObj.detailed[i].flag == 3){
			reClassName = 'bg1';
		}
		resultsListHtml += '<li class="'+reClassName+'" data-tnum="'+i+'" data-answer="'+resultsInfoObj.detailed[i].answer+'">'+resultsInfoObj.detailed[i].question_no+'</li>';
	}
	document.getElementById('resultsList').innerHTML = resultsListHtml;
}

// 评测结果后分享页面
function shareInfoFun(parameObj, type){

	document.getElementById('correctNums').innerHTML = parameObj.yes;
	document.getElementById('wrongNums').innerHTML = parameObj.no;
	document.getElementById('notNums').innerHTML = parameObj.wei;
	document.getElementById('ratioNums').innerHTML = parameObj.bili;
	if(type == 1){
		document.getElementById('typeTitle').innerHTML = "相关法";
	}else{
		document.getElementById('typeTitle').innerHTML = "专利法";
	}
	
	document.getElementById('username').innerHTML = parameObj.share.username;
	document.getElementById('headerImg').setAttribute('src', parameObj.share.headimg); 
	document.getElementById('ratioImg').setAttribute('src', "../img/db-"+parameObj.bili+".png");
	
}


//我的消息总数
function getMessageNum(){
	var parameData = getParameSign({})
    	mui.ajax(web_api_url+'/my/index', {
    		data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；
			success:function(data){
				// 更新未读消息
				var unreadTotal 			= data.data.total ? parseInt(data.data.total) : '';
		       	var myMessage 			= plus.webview.getWebviewById('member/member_index.html');
		       	var myMessage2 			= plus.webview.getWebviewById('member_message.html');
		       	//	消息数量提醒
			    var unreadDiscussNum 	= data.data.dis_count ? parseInt(data.data.dis_count) : '';
				var unreadPraiseNum 		= data.data.praise_count ? parseInt(data.data.praise_count) : '';
				var unreadFeedbackNum 	= data.data.reply_count ? parseInt(data.data.reply_count) : 0;
				
				var unreadFeedbackCon 	= data.data.reply_last ? data.data.reply_last : '';
				// 意见反馈
				if(unreadFeedbackCon != ''){
					// 是否过长
					if(unreadFeedbackCon.reply_content.length > 20){
						unreadFeedbackCon.reply_content = unreadFeedbackCon.reply_content.substring(0,20)+'...';
					}
					myMessage2.evalJS("document.getElementById('sbj').style.display = 'block';document.getElementById('myContent').innerHTML='"+unreadFeedbackCon.reply_content+"';document.getElementById('myTime').innerHTML= '"+unreadFeedbackCon.time_tag+"';document.getElementById('myTotal').innerHTML= '"+unreadFeedbackNum+"';");
				}
				// 意见反馈角标显示隐藏
				if(unreadFeedbackNum > 0){
					myMessage2.evalJS("document.getElementById('myTotal').style.display = 'block';");
				}else{
					myMessage2.evalJS("document.getElementById('myTotal').style.display = 'none';");
				}

				// 评论
				if(unreadDiscussNum > 0){
					myMessage2.evalJS("document.getElementById('myPl').style.display = 'block';document.getElementById('myPl').innerHTML = "+unreadDiscussNum+";xw('#member_comment').removeClass('mui-navigate-right');");
				}else{
					myMessage2.evalJS("document.getElementById('myPl').style.display = 'none';");
				}
				
				// 赞
				if(unreadPraiseNum > 0){
					myMessage2.evalJS("document.getElementById('myDz').style.display = 'block';document.getElementById('myDz').innerHTML = "+unreadPraiseNum+";xw('#member_praise').removeClass('mui-navigate-right');");
				}else{
					myMessage2.evalJS("document.getElementById('myDz').style.display = 'none';");
				}
				// 我的
		       	if(unreadTotal > 0){
					document.getElementById('unreadTotal').innerHTML = unreadTotal;
					document.getElementById('unreadTotal').style.display = 'block';
					
			    		myMessage.evalJS("document.getElementById('unreadTotalNum').innerHTML = "+unreadTotal+";document.getElementById('unreadTotalNum').style.display = 'block';xw('#member_message').removeClass('mui-navigate-right');");
				}else{
					document.getElementById('unreadTotal').innerHTML 	 = 0;
					document.getElementById('unreadTotal').style.display = 'none';
			    		myMessage.evalJS("document.getElementById('unreadTotalNum').innerHTML = 0; document.getElementById('unreadTotalNum').style.display = 'none';xw('#member_message').addClass('mui-navigate-right');");
			    }
				
			}
		})
}


// 获取试题分类
function getTopicClassify(parameObj, currentView, hrefurl){

	var html = '';
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url+'/exam/getCateGory';
    	mui.ajax(api_url, {
    		data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；
			success:function(data){
				var category_zlf = data.data.category_zlf;
				var category_xgf = data.data.category_xgf;
				
				document.getElementById('zlfCateList').value 	= JSON.stringify(category_zlf);
				document.getElementById('xgfCateList').value 	= JSON.stringify(category_xgf);
				for (var i = 0; i < category_zlf.length; i++) {
					html += '<li class="sb-card jd clear">';
					html += '<span class="everyday-jd">'+category_zlf[i].category_name+'（<span style="color: #48beec;">'+category_zlf[i].ing+'</span>&nbsp;/'+category_zlf[i].count+'）</span>';
					html += '<div class="mui-progressbar jdts">';
					html += '<span>';
					html += '<span class="btn-y"></span>';
					html += '</span>';
					html += '</div>';
					html += '<img src="../img/message-btn.png" class="bfb" data-catename="'+category_zlf[i].category_name+'" data-id="'+category_zlf[i].id+'" />';
					html += '</li>';
				}
				document.getElementById('classifyTopic').innerHTML = html;
				var jdtsList = document.getElementsByClassName('jdts');
				for(var i=0;i<category_zlf.length;i++){
					var cur = jdtsList[i],
					ingval  = category_zlf[i].percentage;
					mui(cur).progressbar({progress:ingval}).show();
				}
				
				if(currentView != ''){
					currentView.show('slide-in-right', 300);
					plus.nativeUI.closeWaiting();
				}
				
			},
			error: function(err_xhr, err_type, err_thrown) {
				if(err_xhr.status == 502 && timeNums < 3){
					setTimeout(function () { 
						timeNums += 1;
						shareSubFun(parameObj, shareInfo);
					}, 1000);
				}else{
					plus.nativeUI.closeWaiting();
					mui.toast("网络错误,请稍后重试！");
					timeNums = 0;
				}
				logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
			}
	})
}

// 通过类型切换 试题分类
function getTypeTopicClassify(type, hrefurl){

	var html = '';
	if(type == 1){
		// 相关法
		var categoryLists = JSON.parse(document.getElementById('xgfCateList').value);
		for (var i = 0; i < categoryLists.length; i++) {
			html += '<li class="sb-card jd clear">';
			html += '<span class="everyday-jd">'+categoryLists[i].category_name+'（<span style="color: #48beec;">'+categoryLists[i].ing+'</span>&nbsp;/'+categoryLists[i].count+'）</span>';
			html += '<div class="mui-progressbar jdts">';
			html += '<span>';
			html += '<span class="btn-y"></span>';
			html += '</span>';
			html += '</div>';
			html += '<img src="../img/message-btn.png" class="bfb" data-catename="'+categoryLists[i].category_name+'" data-id="'+categoryLists[i].id+'" />';
			html += '</li>';
		}
		document.getElementById('classifyTopic').innerHTML = html;
		var jdtsList = document.getElementsByClassName('jdts');
		for(var i=0;i<categoryLists.length;i++){
			var cur = jdtsList[i],
			ingval  = categoryLists[i].percentage;
			mui(cur).progressbar({progress:ingval}).show();
		}
		
		
		// 记录类型
		document.getElementById('typeid').value = 1;
	
	}else{
		// 专利法
		var categoryLists = JSON.parse(document.getElementById('zlfCateList').value);	
		for (var i = 0; i < categoryLists.length; i++) {
			html += '<li class="sb-card jd clear">';
			html += '<span class="everyday-jd">'+categoryLists[i].category_name+'（<span style="color: #48beec;">'+categoryLists[i].ing+'</span>&nbsp;/'+categoryLists[i].count+'）</span>';
			html += '<div class="mui-progressbar jdts">';
			html += '<span>';
			html += '<span class="btn-y"></span>';
			html += '</span>';
			html += '</div>';
			html += '<img src="../img/message-btn.png" class="bfb" data-catename="'+categoryLists[i].category_name+'" data-id="'+categoryLists[i].id+'" />';
			html += '</li>';
		}
		document.getElementById('classifyTopic').innerHTML = html;
		var jdtsList = document.getElementsByClassName('jdts');
		for(var i=0;i<categoryLists.length;i++){
			var cur = jdtsList[i],
			ingval  = categoryLists[i].percentage;
			mui(cur).progressbar({progress:ingval}).show();
		}
		
		// 记录类型
		document.getElementById('typeid').value = 2;
	}
}

function testVersion (){
	var url = web_api_url+'/exam/getexamversion/';
	var parameObj = {};
	var parameData = getParameSign(parameObj);
	mui.ajax(url,{
		data:parameData,
		type:'post',
		success:function(data){
			if(data.err_no == 0){
				var old_version = window.localStorage.DBversion;
				var new_version = data.data.version+'.0';//'2.0';
				if(old_version){
					if(old_version !== new_version){
						changeDataBaseVersion(old_version,new_version)
						for(var i = 0 ; i <100 ; i++){
							webSqlDeleteTable('QuestionTab_'+i);
						}
					}
				}else{
					window.localStorage.DBversion = new_version;
				}
			}
		},error:function(err_xhr, err_type, err_thrown) {
					if(err_xhr.status == 502 && timeNums < 3){
						setTimeout(function () {
							timeNums += 1;
							shareSubFun(parameObj, shareInfo);
						}, 1000);
					}else{
						plus.nativeUI.closeWaiting();
						mui.toast("网络错误,请稍后重试！");
						timeNums = 0;
					}
					logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
				}
	})
}

/**
 * 更新结果集函数 
 * @param {Object} options 结果几个信息
 * 				   已答题目 answered
 * 				   未答题目 no_answered
 * 				   是否解锁 unlock_count
 * 				   进度 numIng
 * @param {Array} examList 题目信息
 */
function upDataResult(options,examList){
	console.log('本地结果集')
	if(options){
		//答题进度
		document.getElementById('ingId').innerHTML = options.numIng;
		document.getElementById('myControl').style.width = (15+85/100*options.numIng)+'%';
		// 已解锁题目总数
		document.getElementById('unlockcount').value = options.unlock_count;
		// 已做未做
		document.getElementById('answered').innerHTML 	= options.answered;
		document.getElementById('noanswer').innerHTML 	= options.no_answer;
		// 总题数
		document.getElementById('topicCountNum').value 	= options.count;
		// 是否解锁
		document.getElementById('unlockstate').value = options.is_unlock;
	}
	if(examList){
		// 使用本地数据库题库
		document.getElementById('topicList').value 	= JSON.stringify(examList);
	}
}

// 获取分类下试题列表
function getClassifyTopicLists(parameObj, currentView){
	var html = '';
	var category_id = parameObj.category_id;
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url+'/exam/getTestCenter';
	//   打开/创建数据库
	websqlOpenDB()
	var tabName = 'QuestionTab_'+category_id;
	websqlCreatTable(tabName)
	//从数据库查询数据
	//如果数据库存在，使用数据库题库，不发送ajax，如果不存在，使用ajax，并入库
//for(var i = 0 ; i <30 ; i++){
//	webSqlDeleteTable('QuestionTab_'+i);
//}
	websqlGetAllData(tabName,function(dataBaseArr){
		if(dataBaseArr.length == 0){
			mui.ajax(api_url, {
	    		data:parameData,
				dataType:'json',		//服务器返回json格式数据
				type:'post',			//HTTP请求类型
				timeout:	10000,		//超时时间设置为10秒；
				success:function(data){
					conObj(data.data)
					console.log('ajax获取的题目');
					var topicList = data.data.list;
					//插入题目
					var dataList = {};
					dataList.numIng = data.data.ing;//当前进度
					dataList.unlock_count = data.data.unlock_count;//解锁后的题目总数
					dataList.answered = data.data.answered;//已做题目
					dataList.no_answer = data.data.no_answer;//未做题目
					dataList.count = data.data.count;//总题数
					dataList.is_unlock = data.data.is_unlock;//是否解锁
					
					websqlInsterDataToTable(tabName,0,dataList)
					
					for(var i=0;i<topicList.length;i++){
						websqlInsterDataToTable(tabName,topicList[i].id,topicList[i])
					}
					upDataResult(dataList,topicList);
					currentView.show('slide-in-right', 300);
					plus.nativeUI.closeWaiting();
				},
				error: function(err_xhr, err_type, err_thrown) {
					if(err_xhr.status == 502 && timeNums < 3){
						setTimeout(function () {
							timeNums += 1;
							shareSubFun(parameObj, shareInfo);
						}, 1000);
					}else{
						plus.nativeUI.closeWaiting();
						mui.toast("网络错误,请稍后重试！");
						timeNums = 0;
					}
					logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
				}
			})
		}else{
			var options = dataBaseArr.shift();
			conObj(options);
			upDataResult(options,dataBaseArr)
			currentView.show('slide-in-right', 300);
			plus.nativeUI.closeWaiting();
		}
	})
}
//
function answer2arr(answer){
	//答案转成json
	answer = answer.replace(/_/g,',').split(',');
    var result = [];
    var detailed_status = [];
    var answered = 0;
    for(var i = 0 ; i < answer.length ; i = i+2){
        var obj = {};
        obj.Question_id = answer[i];
        obj.answer = answer[i+1];
        if(answer[i+1] !== ''){
        	answered++;
        }
        result.push(obj);
    }
    return [result,answered];
}

// 考点练习 答题记录提交
function classifyAnswerConfirmFun(parameObj, topicData, cateType, cateid, topiccount, catename) {
	var answer = parameObj.answer;//答案    '1790_A.D.C,1820_'
	var topictype = parameObj.topic_type;
	var detailed_count = parameObj.topiccount;
	plus.nativeUI.showWaiting();
	var chapter_id = parameObj.chapter_id;
	// 答案格式化
	var answerArr = answer2arr(answer);
	var result = answerArr[0];
	var answered = answerArr[1];
	var tabName = 'QuestionTab_'+chapter_id;
	// 更新结果到数据库
	var upDataObj = {};
	var numIng = parameObj.chapter_ing;
    upDataObj.numIng = numIng;//做到了第几题
    upDataObj.answered = answered;//做了几题
    upDataObj.no_answer = detailed_count - answered//未做的题目
    websqlOpenDB()
    //获取解锁信息
	websqlGetAData(tabName,0,function(data){
		upDataObj.is_unlock = data.is_unlock;// 是否解锁
    	upDataObj.count = data.count;//总题数
		upDataObj.unlock_count = data.unlock_count;//  解锁后的题目总数
		//更新数据到库
		websqlUpdateAData(tabName,0,upDataObj);
	})
	websqlGetAllDataJson(tabName,function(json){
		if(json){
				var detailed_status = [],
				detailed = [],
				outData = {},
				answer_yes = 0,
				answer_no = 0,
		    	errAnswerStr = '';
		   	//生成答题状态
			for(var i=0;i<result.length;i++){
				var status = {};
				var Qid = result[i].Question_id;
				status.question_id = Qid;
				status.question_no = i+1;
				detailed.push(json[Qid]);
				var myAns = result[i].answer;
				if(myAns !== ''){
					if(json[Qid].answer !== myAns){
						errAnswerStr+=Qid+',';
						status.flag = 2;
						answer_no++;
					}else{
						status.flag = 1;
						answer_yes++;
					}
				}else{
					status.flag = 3;
				}
				detailed_status.push(status);
			}
			outData.detailed_status = detailed_status;
			outData.detailed = detailed;
			outData.answer = answer;
			outData.answer_count = result.length - answered;
			outData.answer_yes = answer_yes;
			outData.answer_no = answer_no;
			outData.detailed_count = detailed_count;
			outData.percentage = parseInt(answer_yes/detailed_count * 100);
			if(upDataObj.is_unlock == 1){
				outData.desc1 = '您本次做了'+answered+'道题';
				outData.desc2 = '做对了'+answer_yes+'道题，做错了'+answer_no+'道题';
			}else{
				outData.desc1 = '恭喜您已完成新手练习';
				outData.desc2 = '分享解锁更多真题';
			}
			outData.title = catename;
			outData.share_img = 'http://appapi.test.mysipo.com/share_img/share_exam_1.jpg';
			outData.unlock_count = upDataObj.unlock_count;
			outData.no_unlock_count = detailed_count - upDataObj.unlock_count;
			outData.is_unlock = upDataObj.is_unlock;
			//跳转页面
			if(topictype == 2){
				plus.webview.create(
					'yearstopic_results.html',
					'yearstopic_results.html',
					{},
					{
						data: outData,
						topictype: 2,
						type: cateType,
						topiccount: topiccount,
						categoryid: chapter_id,
						unlockstate:outData.is_unlock,
						catename: catename
					}
				);
			}else{
				plus.webview.create(
					'classify_results.html',
					'classify_results.html',
					{},
					{
						data: outData,
						topictype: 1,
						type: cateType
					}
				);
			}
			var api_url = web_api_url+'/exam/submitexaming/';
			console.log(chapter_id);
			console.log(numIng);
			var parameObjIng = {
				category_id:chapter_id,
				ing:numIng
			}
			var parameDataIng = getParameSign(parameObjIng);
			mui.ajax(api_url,{
				data:parameDataIng,
				type: 'post',
				timeout: 10000,
				success: function(data){
				},error:function(err_xhr, err_type, err_thrown) {
					if(err_xhr.status == 502 && timeNums < 3){
						setTimeout(function () {
							timeNums += 1;
							shareSubFun(parameObj, shareInfo);
						}, 1000);
					}else{
						plus.nativeUI.closeWaiting();
						mui.toast("网络错误,请稍后重试！");
						timeNums = 0;
					}
					logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
				}
			})
			//提交到服务端
			errAnswerStr = errAnswerStr.substr(0, errAnswerStr.length - 1);
			var parameObj = {
				"answer" : errAnswerStr
			};
			var api_url = web_api_url + '/exam/errorexam/';
			var parameData = getParameSign(parameObj);
			mui.ajax(api_url,{
				data:parameData,
				type: 'post',
				timeout: 10000,
				success: function(data){
				},error:function(err_xhr, err_type, err_thrown) {
					if(err_xhr.status == 502 && timeNums < 3){
						setTimeout(function () {
							timeNums += 1;
							shareSubFun(parameObj, shareInfo);
						}, 1000);
					}else{
						plus.nativeUI.closeWaiting();
						timeNums = 0;
					}
					logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
				}
			})
		}else{
			alert('请重试')
		}
	})
	// 接收参数
//	var parameData = getParameSign(parameObj);
//	var api_url = web_api_url + '/exam/submitTestingCenter';
//	mui.ajax(api_url, {
//		data: parameData,
//		type: 'post',
//		timeout: 10000,
//		success: function(data) {
//			plus.nativeUI.closeWaiting();
//			if (data.err_no == 0) {
//					conObj(data.data)
//				
//				if(topictype == 2){
//					plus.webview.create(
//						'yearstopic_results.html',
//						'yearstopic_results.html',
//						{},
//						{
//							data: data.data,
//							topictype: 2,
//							type: cateType,
//							topiccount: topiccount,
//							categoryid: parameObj.chapter_id,
//							unlockstate:data.data.is_unlock,
//							catename: catename
//						}
//					);
//				}else{
//					plus.webview.create(
//						'classify_results.html', 
//						'classify_results.html', 
//						{},
//						{
//							data: data.data,
//							topictype: 1,
//							type: cateType
//						}
//					);
//				}
//				return false;
//			} else {
//				mui.toast(data.err_msg);
//				return false
//			}
//		},
//		error: function(err_xhr, err_type, err_thrown) {
//			if(err_xhr.status == 502 && timeNums < 3){
//				setTimeout(function () {
//					timeNums += 1;
//					shareSubFun(parameObj, shareInfo);
//				}, 1000);
//			}else{
//				plus.nativeUI.closeWaiting();
//				mui.toast("网络错误,请稍后重试！");
//				timeNums = 0;
//			}
//			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
//		}
//	})
	//ajax结束
}

// 错题本 获取错题分类列表记录
function getWrongtopicClassList(parameObj, currentView) {
	// 接收参数
	var parameData 	= getParameSign(parameObj);
	var api_url 		= web_api_url + '/exam/getWrongQuestion';
	var html 		= '';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
				if(data.data.list.length > 0){
					xw('.no-wrongct').hide();
					xw('#wrongtopicId').show();
					xw('.ctb-content-title').show();
					if(data.data.list.length > 0){
						for (var i = 0; i < data.data.list.length; i++) {
							html += '<li data-id="'+data.data.list[i]['id']+'">';
							html += '<span class="ctn-main-title">'+data.data.list[i]['name']+'</span><span class="ctn-main-num">'+data.data.list[i]['count']+'</span><i></i>';
							html += '</li>';
						}
						document.getElementById('wrongtopicId').innerHTML  = html;
					}
					document.getElementById('topicTotalNum').innerHTML = data.data.info.count;
					document.getElementById('wrongtb_title').innerHTML = data.data.info.title;
					document.getElementById('wrongtb_title2').innerHTML = data.data.info.desc;
				}else{
					xw('.no-wrongct').show();
					xw('#wrongtopicId').hide();
					xw('.ctb-content-title').hide();
					document.getElementById('topicTotalNum').innerHTML = 0;
					document.getElementById('wrongtb_title').innerHTML = "我的错题箱里面，空空如也~";
				}
				// 错题分类点击进入答题模式
				mui('#wrongtopicId').on('tap', 'li', function(e) {
					if(unsafe_tap()) return;
					var cid 	= this.getAttribute('data-id');
					// 获取错题列表
					var parameObj = {
						category_id:	 cid
					};
					getWrongtopicList(parameObj);
				});
				
				if(currentView != ''){
					currentView.show('slide-in-right', 300);
					plus.nativeUI.closeWaiting();
				}
				return false;
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareSubFun(parameObj, shareInfo);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}

// 错题本 获取错题列表
function getWrongtopicList(parameObj) {
	// 接收参数
	conObj(parameObj);
	var parameData 	= getParameSign(parameObj);
	var api_url 	= web_api_url + '/exam/getWrongQuestionList';
	var html 		= '';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			if (data.err_no == 0) {
//				for(var i=0;i<data.data.list.length; i++){
//					conObj(data.data.list[i]);
//				}
				var topicList 	= data.data.list;
				var topicCount  = data.data.info.count;
				plus.nativeUI.showWaiting();
				plus.webview.create(
					'wrongtb_topic_model.html',
					'wrongtb_topic_model.html',
					{},
					{
						data: topicList,
						topiccount: topicCount
					}
				)
				return false;
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareSubFun(parameObj, shareInfo);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}

// 错题本 答题记录提交
function wrongtbAnswerConfirmFun(parameObj, topicData) {
	plus.nativeUI.showWaiting();
	// 接收参数
	conObj(parameObj);
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/exam/submitWrongQuestion';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.err_no == 0) {
				plus.webview.close('wrongtb_topic_model.html');
				var wrongtbIndexViewObj = plus.webview.getWebviewById('wrongtb_index.html');
				wrongtbIndexViewObj.evalJS('getWrongtopicClassList({},"");');
				return false;
			} else {
				mui.toast(data.err_msg);
				return false
			}
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareSubFun(parameObj, shareInfo);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}


// 历年真题 评测结果
function yearsResultsInfoFun(currentView) {
	
	var dataObj 			= currentView.data;
	// 正确率
	document.getElementById('proportion').innerHTML = dataObj.percentage+"%";
	// 文案
	document.getElementById('text1').innerHTML = currentView.data.desc1;
	document.getElementById('text2').innerHTML = currentView.data.desc2;
  
	// 答题记录
	var resultsListHtml = '', reClassName = '';
	for (var i = 0; i < dataObj.detailed_status.length; i++) {
		if(dataObj.detailed_status[i].flag == 1){
			reClassName = 'bg';
		}else if(dataObj.detailed_status[i].flag == 2){
			reClassName = '';
		}else if(dataObj.detailed_status[i].flag == 3){
			reClassName = 'bg1';
		}
		resultsListHtml += '<li class="'+reClassName+'" data-tnum="'+i+'" data-unlock="1">'+dataObj.detailed_status[i].question_no+'</li>';
	}
	for (var i = 0; i < dataObj.no_unlock_count; i++) {
		resultsListHtml += '<li class="lock" data-unlock="2"></li>';
	}
	document.getElementById('resultsList').innerHTML = resultsListHtml;
}


// 历年真题 分享解锁记录
function shareaddfun(parameObj) {
	// 接收参数
	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/exam/overTheYearsShare';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		timeout: 10000,
		success: function(data) {
			
		},
		error: function(err_xhr, err_type, err_thrown) {
			if(err_xhr.status == 502 && timeNums < 3){
				setTimeout(function () { 
					timeNums += 1;
					shareSubFun(parameObj, shareInfo);
				}, 1000);
			}else{
				plus.nativeUI.closeWaiting();
				mui.toast("网络错误,请稍后重试！");
				timeNums = 0;
			}
			logSubFun(err_type, err_thrown, err_xhr.status, api_url, JSON.stringify(parameData), JSON.stringify(err_xhr));
		}
	})
}