var wrhShare = function() {
	return {
		/**
		 * 分享操作
		 * @param id
		 * @param ex
		 */
		shareAction: function(id, ex) {
			plus.nativeUI.closeWaiting();
			var s = null;
			if (!id || !(s = shares[id])) {
				mui.toast("无效的分享服务！");
				return;
			}
			if (s.authenticated) {
				wrhShare.shareMessage(s, ex);
			} else {
				s.authorize(function() {
					wrhShare.shareMessage(s, ex);
				}, function(e) {
					mui.toast("认证授权失败：" + e.code + " - " + e.message);
				});
			}
		},
		/**
		 * 发送分享消息
		 * @param s
		 * @param ex
		 */
		shareMessage: function(s, ex) {
			var msg = {
				extra: {
					scene: ex
				}
			};
			if('sinaweibo' == s.id){
				msg.content = share_content;
			}
//			msg.content = share_content;
//			msg.title = share_title;
//			msg.thumbs = [share_thumb_img];
			msg.pictures = [share_img];
			var sendMessage = function() {
				var params = {
					content: share_content,
					title: share_title,
					href: share_href,
					img: share_img
				};
				//add sql 
//				var addShare = function(type) {
//				}
				s.send(msg, function() {
					mui.toast("分享成功！ ");
					//addShare(0);
				}, function(e) {
					console.log("分享到\"" + s.description + "\"失败！ " + e.code + " - " + e.message);
					//addShare(1);
				});
			}
			if (('sinaweibo' == s.id || 'qq' == s.id || 'weixin' == s.id) && plus.os.name == "Android") {
					//下载图片到本地
					mui.toast("即将打开分享...");
					var dtask = plus.downloader.createDownload();
					var localPictures = '';

					function onStateChanged(d, status) {
						switch (d.state) {
						case 4:
							if (status == 200) {
								console.log("图片下载完成：" + d.filename);
								localPictures = plus.io.convertLocalFileSystemURL(d.filename);
								msg.thumbs = [localPictures];
								msg.pictures = [localPictures];
								sendMessage();
							} else {
								mui.toast("下载图片失败");
							}
							break;
						case 1:
							console.log("下载开始");
							break;
						case 2:
							console.log("请求已响应");
							break;
						case 3:
							var proportion = parseInt(d.downloadedSize/d.totalSize*100);
							if(proportion < 100){
								document.getElementById('shares_cancel').innerHTML = "已下载"+proportion+"%";
							}else{
								document.getElementById('shares_cancel').innerHTML = "取消";
							}
							break;
						default:
							console.log("state: " + d.state);
							break;
						}
					}
					mui.each(msg.pictures, function(i, n) {
						// 创建下载任务
						var dtask = plus.downloader.createDownload(n);
						dtask.addEventListener("statechanged", onStateChanged, false);
						dtask.start();
					});
			} else {
//				msg.href = share_href;
				sendMessage();
			}

		}
	}
}();